import Foundation

enum AccountsNavigationFlow: Stateable {
    case main
}

struct AccountsState: Stateable {
    var navigation: AccountsNavigationFlow
    var accounts: [String]
}

// MARK: Init
extension AccountsState {
    init() {
        navigation = .main
        accounts = []
    }
}
